# pspaudiolib.c File Reference

`#include <stdlib.h>`
`#include <string.h>`
`#include <pspthreadman.h>`
`#include <pspaudio.h>`
`#include "pspaudiolib.h"`

Include dependency graph for pspaudiolib.c:

## Functions

void | pspAudioSetVolume (int channel, int left, int right)
void | pspAudioChannelThreadCallback (int channel, void *buf, unsigned int reqn)
void | pspAudioSetChannelCallback (int channel, void *callback)
int | pspAudioOutBlocking (unsigned int channel, unsigned int vol1, unsigned int vol2, void *buf)
int | pspAudioInit ()
void | pspAudioEndPre ()
void | pspAudioEnd ()

## Function Documentation

void pspAudioChannelThreadCallback | ( | int | channel,
|  | void * | buf,
|  | unsigned int | reqn
| ) |

void pspAudioEnd | ( |  | ) |

void pspAudioEndPre | ( |  | ) |

int pspAudioInit | ( |  | ) |

int pspAudioOutBlocking | ( | unsigned int | channel,
|  | unsigned int | vol1,
|  | unsigned int | vol2,
|  | void * | buf
| ) |

void pspAudioSetChannelCallback | ( | int | channel,
|  | void * | callback
| ) |

void pspAudioSetVolume | ( | int | channel,
|  | int | left,
|  | int | right
| ) |